/*
 * Copyright (c) 2016, The Linux Foundation. All rights reserved.
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * version 2 and only version 2 as published by the Free Software
 * Foundation. This program is distributed in the hope that it
 * will be useful, but WITHOUT ANY WARRANTY; without even the
 * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
 * PURPOSE. See the GNU General Public License for more details. 
 */
#ifndef _SOC_FC__UPCTL
#define _SOC_FC__UPCTL

#define _UPCTL_MODULE_BASE                       0x10800000

#define rMEMC_SCFG                                (*(volatile unsigned *) 0x10800000U)
#define rMEMC_SCTL                                (*(volatile unsigned *) 0x10800004U)
#define rMEMC_STAT                                (*(volatile unsigned *) 0x10800008U)
#define rMEMC_INTRSTAT                            (*(volatile unsigned *) 0x1080000CU)
#define rMEMC_MCMD                                (*(volatile unsigned *) 0x10800040U)
#define rMEMC_POWCTL                              (*(volatile unsigned *) 0x10800044U)
#define rMEMC_POWSTAT                             (*(volatile unsigned *) 0x10800048U)
#define rMEMC_CMDTSTAT                            (*(volatile unsigned *) 0x1080004CU)
#define rMEMC_CMDTSTATEN                          (*(volatile unsigned *) 0x10800050U)
#define rMEMC_MRRCFG0                             (*(volatile unsigned *) 0x10800060U)
#define rMEMC_MRRSTAT0                            (*(volatile unsigned *) 0x10800064U)
#define rMEMC_MRRSTAT1                            (*(volatile unsigned *) 0x10800068U)
#define rMEMC_MCFG1                               (*(volatile unsigned *) 0x1080007CU)
#define rMEMC_MCFG                                (*(volatile unsigned *) 0x10800080U)
#define rMEMC_PPCFG                               (*(volatile unsigned *) 0x10800084U)
#define rMEMC_MSTAT                               (*(volatile unsigned *) 0x10800088U)
#define rMEMC_LPDDR23ZQCFG                        (*(volatile unsigned *) 0x1080008CU)
#define rMEMC_DTUPDES                             (*(volatile unsigned *) 0x10800094U)
#define rMEMC_DTUNA                               (*(volatile unsigned *) 0x10800098U)
#define rMEMC_DTUNE                               (*(volatile unsigned *) 0x1080009CU)
#define rMEMC_DTUPRD0                             (*(volatile unsigned *) 0x108000A0U)
#define rMEMC_DTUPRD1                             (*(volatile unsigned *) 0x108000A4U)
#define rMEMC_DTUPRD2                             (*(volatile unsigned *) 0x108000A8U)
#define rMEMC_DTUPRD3                             (*(volatile unsigned *) 0x108000ACU)
#define rMEMC_DTUAWDT                             (*(volatile unsigned *) 0x108000B0U)
#define rMEMC_TOGCNT1U                            (*(volatile unsigned *) 0x108000C0U)
#define rMEMC_TINIT                               (*(volatile unsigned *) 0x108000C4U)
#define rMEMC_TRSTH                               (*(volatile unsigned *) 0x108000C8U)
#define rMEMC_TOGCNT100N                          (*(volatile unsigned *) 0x108000CCU)
#define rMEMC_TREFI                               (*(volatile unsigned *) 0x108000D0U)
#define rMEMC_TMRD                                (*(volatile unsigned *) 0x108000D4U)
#define rMEMC_TRFC                                (*(volatile unsigned *) 0x108000D8U)
#define rMEMC_TRP                                 (*(volatile unsigned *) 0x108000DCU)
#define rMEMC_TRTW                                (*(volatile unsigned *) 0x108000E0U)
#define rMEMC_TAL                                 (*(volatile unsigned *) 0x108000E4U)
#define rMEMC_TCL                                 (*(volatile unsigned *) 0x108000E8U)
#define rMEMC_TCWL                                (*(volatile unsigned *) 0x108000ECU)
#define rMEMC_TRAS                                (*(volatile unsigned *) 0x108000F0U)
#define rMEMC_TRC                                 (*(volatile unsigned *) 0x108000F4U)
#define rMEMC_TRCD                                (*(volatile unsigned *) 0x108000F8U)
#define rMEMC_TRRD                                (*(volatile unsigned *) 0x108000FCU)
#define rMEMC_TRTP                                (*(volatile unsigned *) 0x10800100U)
#define rMEMC_TWR                                 (*(volatile unsigned *) 0x10800104U)
#define rMEMC_TWTR                                (*(volatile unsigned *) 0x10800108U)
#define rMEMC_TEXSR                               (*(volatile unsigned *) 0x1080010CU)
#define rMEMC_TXP                                 (*(volatile unsigned *) 0x10800110U)
#define rMEMC_TXPDLL                              (*(volatile unsigned *) 0x10800114U)
#define rMEMC_TZQCS                               (*(volatile unsigned *) 0x10800118U)
#define rMEMC_TZQCSI                              (*(volatile unsigned *) 0x1080011CU)
#define rMEMC_TDQS                                (*(volatile unsigned *) 0x10800120U)
#define rMEMC_TCKSRE                              (*(volatile unsigned *) 0x10800124U)
#define rMEMC_TCKSRX                              (*(volatile unsigned *) 0x10800128U)
#define rMEMC_TCKE                                (*(volatile unsigned *) 0x1080012CU)
#define rMEMC_TMOD                                (*(volatile unsigned *) 0x10800130U)
#define rMEMC_TRSTL                               (*(volatile unsigned *) 0x10800134U)
#define rMEMC_TZQCL                               (*(volatile unsigned *) 0x10800138U)
#define rMEMC_TMRR                                (*(volatile unsigned *) 0x1080013CU)
#define rMEMC_TCKESR                              (*(volatile unsigned *) 0x10800140U)
#define rMEMC_TDPD                                (*(volatile unsigned *) 0x10800144U)
#define rMEMC_TREFI_MEM_DDR3                      (*(volatile unsigned *) 0x10800148U)
#define rMEMC_DTUWACTL                            (*(volatile unsigned *) 0x10800200U)
#define rMEMC_DTURACTL                            (*(volatile unsigned *) 0x10800204U)
#define rMEMC_DTUCFG                              (*(volatile unsigned *) 0x10800208U)
#define rMEMC_DTUECTL                             (*(volatile unsigned *) 0x1080020CU)
#define rMEMC_DTUWD0                              (*(volatile unsigned *) 0x10800210U)
#define rMEMC_DTUWD1                              (*(volatile unsigned *) 0x10800214U)
#define rMEMC_DTUWD2                              (*(volatile unsigned *) 0x10800218U)
#define rMEMC_DTUWD3                              (*(volatile unsigned *) 0x1080021CU)
#define rMEMC_DTUWDM                              (*(volatile unsigned *) 0x10800220U)
#define rMEMC_DTURD0                              (*(volatile unsigned *) 0x10800224U)
#define rMEMC_DTURD1                              (*(volatile unsigned *) 0x10800228U)
#define rMEMC_DTURD2                              (*(volatile unsigned *) 0x1080022CU)
#define rMEMC_DTURD3                              (*(volatile unsigned *) 0x10800230U)
#define rMEMC_DTULFSRWD                           (*(volatile unsigned *) 0x10800234U)
#define rMEMC_DTULFSRRD                           (*(volatile unsigned *) 0x10800238U)
#define rMEMC_DTUEAF                              (*(volatile unsigned *) 0x1080023CU)
#define rMEMC_DFITCTRLDELAY                       (*(volatile unsigned *) 0x10800240U)
#define rMEMC_DFIODTCFG                           (*(volatile unsigned *) 0x10800244U)
#define rMEMC_DFIODTCFG1                          (*(volatile unsigned *) 0x10800248U)
#define rMEMC_DFIODTRANKMAP                       (*(volatile unsigned *) 0x1080024CU)
#define rMEMC_DFITPHYWRDATA                       (*(volatile unsigned *) 0x10800250U)
#define rMEMC_DFITPHYWRLAT                        (*(volatile unsigned *) 0x10800254U)
#define rMEMC_DFITPHYWRDATALAT                    (*(volatile unsigned *) 0x10800258U)
#define rMEMC_DFITRDDATAEN                        (*(volatile unsigned *) 0x10800260U)
#define rMEMC_DFITPHYRDLAT                        (*(volatile unsigned *) 0x10800264U)
#define rMEMC_DFITPHYUPDTYPE0                     (*(volatile unsigned *) 0x10800270U)
#define rMEMC_DFITPHYUPDTYPE1                     (*(volatile unsigned *) 0x10800274U)
#define rMEMC_DFITPHYUPDTYPE2                     (*(volatile unsigned *) 0x10800278U)
#define rMEMC_DFITPHYUPDTYPE3                     (*(volatile unsigned *) 0x1080027CU)
#define rMEMC_DFITCTRLUPDMIN                      (*(volatile unsigned *) 0x10800280U)
#define rMEMC_DFITCTRLUPDMAX                      (*(volatile unsigned *) 0x10800284U)
#define rMEMC_DFITCTRLUPDDLY                      (*(volatile unsigned *) 0x10800288U)
#define rMEMC_DFIUPDCFG                           (*(volatile unsigned *) 0x10800290U)
#define rMEMC_DFITREFMSKI                         (*(volatile unsigned *) 0x10800294U)
#define rMEMC_DFITCTRLUPDI                        (*(volatile unsigned *) 0x10800298U)
#define rMEMC_DFITRCFG0                           (*(volatile unsigned *) 0x108002ACU)
#define rMEMC_DFITRSTAT0                          (*(volatile unsigned *) 0x108002B0U)
#define rMEMC_DFITRWRLVLEN                        (*(volatile unsigned *) 0x108002B4U)
#define rMEMC_DFITRRDLVLEN                        (*(volatile unsigned *) 0x108002B8U)
#define rMEMC_DFITRRDLVLGATEEN                    (*(volatile unsigned *) 0x108002BCU)
#define rMEMC_DFISTSTAT0                          (*(volatile unsigned *) 0x108002C0U)
#define rMEMC_DFISTCFG0                           (*(volatile unsigned *) 0x108002C4U)
#define rMEMC_DFISTCFG1                           (*(volatile unsigned *) 0x108002C8U)
#define rMEMC_DFITDRAMCLKEN                       (*(volatile unsigned *) 0x108002D0U)
#define rMEMC_DFITDRAMCLKDIS                      (*(volatile unsigned *) 0x108002D4U)
#define rMEMC_DFISTCFG2                           (*(volatile unsigned *) 0x108002D8U)
#define rMEMC_DFISTPARCLR                         (*(volatile unsigned *) 0x108002DCU)
#define rMEMC_DFISTPARLOG                         (*(volatile unsigned *) 0x108002E0U)
#define rMEMC_DFILPCFG0                           (*(volatile unsigned *) 0x108002F0U)
#define rMEMC_DFITRWRLVLRESP0                     (*(volatile unsigned *) 0x10800300U)
#define rMEMC_DFITRWRLVLRESP1                     (*(volatile unsigned *) 0x10800304U)
#define rMEMC_DFITRWRLVLRESP2                     (*(volatile unsigned *) 0x10800308U)
#define rMEMC_DFITRRDLVLRESP0                     (*(volatile unsigned *) 0x1080030CU)
#define rMEMC_DFITRRDLVLRESP1                     (*(volatile unsigned *) 0x10800310U)
#define rMEMC_DFITRRDLVLRESP2                     (*(volatile unsigned *) 0x10800314U)
#define rMEMC_DFITRWRLVLDELAY0                    (*(volatile unsigned *) 0x10800318U)
#define rMEMC_DFITRRDLVLDELAY0                    (*(volatile unsigned *) 0x10800324U)
#define rMEMC_DFITRRDLVLGATEDELAY0                (*(volatile unsigned *) 0x10800330U)
#define rMEMC_DFITRCMD                            (*(volatile unsigned *) 0x1080033CU)
#define rMEMC_IPVR                                (*(volatile unsigned *) 0x108003F8U)
#define rMEMC_IPTR                                (*(volatile unsigned *) 0x108003FCU)
#endif // _SOC_FC__UPCTL 

